import '../index.css'
import PropTypes from 'prop-types'

const Blog = ({
      blog, 
      addLike, 
      deleteBlog,
      user
    }) => {

  Blog.propTypes = {
    blog: PropTypes.object.isRequired,
    user: PropTypes.object.isRequired,
  }

  const loggedUsername = user.valueOf().username;
  const blogUser = blog.user

  if (loggedUsername === blogUser.username) {
    return (
      <div className="div1">
        {blog.title} by {blog.author}
        <li>url: {blog.url}</li>
        <li>likes: {blog.likes}<button onClick={addLike} className="button1">like</button></li>
        <button onClick={deleteBlog} className="button2">remove</button>
      </div>  
      )
  }
  else {
    return (
      <div className="div1">
        {blog.title} by {blog.author}
        <li>url: {blog.url}</li>
        <li>likes: {blog.likes}<button onClick={addLike} className="button1">like</button></li>
      </div>  
      )
  }
  
}

export default Blog
